<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<?php
include('../include/session.php');

$job_card_no = $_GET['job_card_no'];
$quote='no';
$table_name = $_SESSION['db_prefix']."_compiled_jobs";
$job_query = "SELECT * FROM $table_name WHERE job_card_no = '".$job_card_no."' ";
$job_result = mySQL_query($job_query);
$cust_id = mysql_result($job_result, 0, "cust_id");	
$mworks = mysql_result($job_result, 0, "mworks");	

$table_name2 = $_SESSION['db_prefix']."_customer";
		$customer_query = "SELECT * FROM $table_name2 WHERE cust_id ='".$cust_id."' ";
		$customer_result = mySQL_query($customer_query);
		$customer_num = mysql_num_rows($customer_result);	
		$a1 = mysql_result($customer_result, 0, "account_type");
			if ($a1=="corporate") { 
				$name = mysql_result($customer_result, 0, "comp_name"); 
			} 
			else {
				$name = mysql_result($customer_result, 0, "title")." ".mysql_result($customer_result, 0, "name_2")." ".mysql_result($customer_result, 0, "comp_name");
 			}

$table_name = $_SESSION['db_prefix']."_mworks_delivered";
$delivered_query = "SELECT * FROM $table_name WHERE job_card_no = '".$job_card_no."'  ";
$delivered_result = mySQL_query($delivered_query);
$delivered_num = mysql_num_rows($delivered_result);
$m_delivered_id = mysql_result($delivered_result, 0, "m_delivered_id");
$vehicle_id = mysql_result($delivered_result, 0, "vehicle_id");

$table_name = $_SESSION['db_prefix']."_mworks_delivered_lines";
$delivered_lines_query = "SELECT * FROM $table_name WHERE m_delivered_id = '".$m_delivered_id."'  ";
$delivered_lines_result = mySQL_query($delivered_lines_query);
$delivered_lines_num = mysql_num_rows($delivered_lines_result);


if ($mworks=='only') {
$table_name = $_SESSION['db_prefix']."_vehicle";
$vehicle_query = "SELECT  registration_no, make, model FROM $table_name WHERE vehicle_id = '".$vehicle_id."' ";
$vehicle_result = mySQL_query($vehicle_query);
$vehicle_name = mysql_result($vehicle_result, 0, "registration_no").' '.mysql_result($vehicle_result, 0, "make").' '.mysql_result($vehicle_result, 0, "model");
}
?>


<!--style sheets-->
<link href="../css/main.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<!--jscript-->
<script type="text/javascript" src="../jscript/tablesort.js"></script>
<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script> 

</head>
<body>
<?php
include ("../navigation/header.php");
$page_name = "Orders-main";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/orders_sidebar.php");
?>
<div class="main_frame" style="height:auto;">
  <div class="page_head_frame">
      <table width="809" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="472"><label class="label_page_head">Deliver M-works job:</label>
              &nbsp;&nbsp;&nbsp;<label class="label_page_head_2">&nbsp;&nbsp;&nbsp; <?php echo $name ?></label></td>
            <td width="208">Job card no.:<label style="font-size:24px; color:#209949;"><?php echo $job_card_no ?></label></td>
            </tr>
        </table>
      </div>
<div class="page_middle_frame">
<div class="page_inside_frame">
<?php 
		include ('../include/customer_block.php');
		echo '<br>';
		include ('../include/job_block.php')
		?>
</div>        
<div class="page_inside_frame">
<table width="650" id="table_details_display">
  <tr>
    <td width="464">Component</td>
    <td width="173">Quantity</td>
    </tr>
  <?php
  $i=0;
  while ($i<$delivered_lines_num) {
	  $component = mysql_result($delivered_lines_result, $i, "component");
	  $delivered_qty = mysql_result($delivered_lines_result, $i, "delivered_qty");
  ?>
  <tr>
    <td><?php echo $component ?></td>
    <td align="center"><?php echo $delivered_qty ?></td>
    </tr>
    <?php
  $i++;
  }
  ?>
</table>

</div> 

<div class="page_inside_frame">
<a href="m_deliver_job_print.php?job_card_no=<?php echo $job_card_no ?>" target="_blank"><input name="print_button" type="button" class="imagebutton" value="Print delivery note"></a>&nbsp;&nbsp;</div>  
        
</div>
  
</div>

<?php include ('../navigation/side_bar.php'); ?>

</body>
<?php } else {
$_SESSION['denied_return'] = "sales/sales_main.php";	
include ("../navigation/sales_sidebar.php");?>
	<body onLoad="accessdenied(); return false">
	</body>
<?php }
?>
</html>